<?php

class Merc_EnforcePostRules_DataWriter_Forum extends XFCP_Merc_EnforcePostRules_DataWriter_Forum
{
	protected function _getFields()
	{
		$fields = parent::_getFields();
		$fields['xf_forum'] += array(
			'require_post_rules' => array('type' => self::TYPE_BOOLEAN, 'default' => 0),
			'post_rules_url' => array('type' => self::TYPE_STRING, 'maxLength' => 150, 'default' => '', 'verification' => array('$this', '_verifyPostRulesUrlSet')),
			'post_rules_overlay' => array('type' => self::TYPE_BOOLEAN, 'default' => 0),
		);

		return $fields;
	}

	protected function _verifyPostRulesUrlSet($url)
	{
		if (empty($url))
			$this->set('require_post_rules', 0);

		return true;
	}
}